Subject: Improvements for RPM package (Xinerama support)

From: Mike Gabriel <[email-masked]>
Date: Mon, 06 Jan 2014 15:10:51 +0000

Package: x2goagent
Severity: minor
Version: 3.5.0.22
Tag: rpm-packages patch

Some more improvements for our nx-libs.spec as suggested by Orion via  
x2go-dev.

Mike

----- Weitergeleitete Nachricht von Orion Poplawski  
<[email-masked]> -----
   Datum: Sun, 05 Jan 2014 20:46:26 -0700
     Von: Orion Poplawski <[email-masked]>
Betreff: Re: [X2Go-Dev] Bug#370: RPM package: nx-libs lacks Xinerama support
      An: Mike Gabriel <[email-masked]>
      Cc: [email-masked]

On 12/16/2013 12:37 AM, Mike Gabriel wrote:
> Hi Orion,
>
> On  Mo 16 Dez 2013 03:14:02 CET, Orion Poplawski wrote:
>
>> On 12/14/2013 02:00 PM, Mike Gabriel wrote:
>>> Package: nx-libs Severity: important Tag: rpm-package
>>>
>>> The current RPMs built from nx-libs HEAD lack Xinerama support
>>> because of missing symlinks. The links should be created like
>>> below when the package libNX_Xinerama gets installed:
>>>
>>> mike@minobo:/usr/lib64/nx/X11$ ls Xinerama/ -al insgesamt 16
>>> libNX_X11.so.6 -> /usr/lib64/libX11.so.6 libNX_Xext.so.6 ->
>>> /usr/lib64//libXext.so.6 libXinerama.so -> ../libNX_Xinerama.so
>>> libXinerama.so.1 -> ../libNX_Xinerama.so.1
>>
>> Shouldn't NX be taught to just use libXinerama.so.1 directly
>> instead?
>
> The libNX_Xinerama.so.1 is very much different from libXinerama.so
> as it retrieves its data about number of screens and screen
> resolutions from a file (and not from hardware).
>
> Scan for NX_XINERAMA_CONF in [1] for details.
>
> Mike
>
> [1]
> http://code.x2go.org/gitweb?p=nx-libs.git;a=blob;f=debian/patches/202_nx-X11_enable-xinerama.full.patch
>
>
>

Hmm, okay, I think I get more of the game being played here.  I've
implemented it differently in the Fedora spec:

In %install:

# Need for Xinerama support
ln -s -f ../../../../%{_lib}/libX11.so.6
%{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_X11.so.6
ln -s -f ../../../../%{_lib}/libXext.so.6
%{buildroot}%{_libdir}/nx/X11/Xinerama/libNX_Xext.so.6

Though these probably should just get done in the Makefile.  But the
relative paths might be tricky.

and:

  Summary:        Xinerama extension to the NX Protocol
  Requires:       %{name}%{?_isa} = %{version}-%{release}
+Requires:       libX11%{?_isa}
+Requires:       libXext%{?_isa}

(%{?_isa} gets the architecture correct)

  %files -n libNX_Xinerama
  %{_libdir}/nx/X11/libNX_Xinerama.so.1*
+%{_libdir}/nx/X11/Xinerama/

No need for %pre/%post

- --
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  [email-masked]
Boulder, CO 80301              http://www.cora.nwra.com

----- Ende der weitergeleiteten Nachricht -----

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb